Jump to content

[1.12.x] Click Through Blocker - NEW DEPENDENCY


linuxgurugamer
 Share

Recommended Posts

@linuxgurugamer  I wanted to report a weird bug I found today.  While messing around with Haystack continued, I was changing button settings, and it went and clicked through to the warp to next morning button, and warped me to the next day on the main KSP screen.  At the time it was positioned over the warp settings.  I then went and tried a couple other of your mods that require this mod, and it did it too.  I then went into the tracking station to try it, and all the buttons across the top can be activated through windows covering the buttons.  I then tried some mods that doesn't use this, and most have the same issue, however the ScanSat mod's window can not be clicked though at all, even on KSP buttons.  (I wanted to see if it was a limitation of KSP).  After some more investigation, it appears to be limited to actual KSP buttons on all different screens but not icons like the warp arrows, CommNet path etc, or the Toolbar mod you have.  This includes the buttons in staging, in the window below staging etc.  You can tell which will click through by mousing over it while covered half way by a window.  If it highlights, it will click.

I'm not sure how big an issue it is for anyone, but I did want to at least report it.

Thanks!

 

Link to comment
Share on other sites

Hello @linuxgurugamer

I am hesitant to write this but I think others may also be having this issue.

I had a problem getting TACfuelbalancer to work while using CKAN.  I have been having trouble with this mod (Click Through Blocker) since starting a new game with the latest expansion.  @Tonka Crash figured out what my issue is.

https://forum.kerbalspaceprogram.com/index.php?/messenger/139522/&tab=comments#comment-337295

@Craig D I think I found your problem. What versions of KSP do you have set as compatible versions in CKAN

68747470733a2f2f692e696d6775722e636f6d2f

The latest version of ClickThroughBlocker is restricted to 1.5.1-1.7.2, but the older version you have is listed for 1.5.1 and later with no upper limit. You need set CKAN to see mods released for older releases of KSP as compatible or you run into problems like what you are seeing. I have 1.4, 1.5, 1.6, 1.7 all set. If you haven't set these CKAN will only install mods explicitly listed as compatible with only 1.7.3. Please don't make me go through spiel about how most mods for 1.4 or later work fine in later versions of KSP.

There was at least one other person in that thread where CKAN was only using 1.5.1.  The only way I could get your mods to work was to manually install the latest version of Click Through Blocker.

I hope this is helpful, I am not trying to add to the noise.

Thanks,

-Craig

Link to comment
Share on other sites

  • 2 weeks later...

I ran into a strange issue that you might find interesting: this mod, specifically* causes kerbonauts to appear through ship/IVA geometry. So, if you send a kerbal on an EVA, and switch back to the ship's exterior or interior views, the floating Kerbal will be visible through not just windows, but any sort of geometry that might be in the way. Useful for tracking, but definitely a graphical glitch. 

*Specifically in the sense that it's probably the outcome of a conflict with another mod. That being said, I was removing likely culprits (roughly a third of my mod folder at the time), and the issue only went away when removing tie "000_Click...." folder. That doesn't rule out another culprit, somewhere, but I wasn't able to figure out what. But I didn't see anyone else in the thread encounter the same issue, so I'm inclined to think it's on my end. 

Link to comment
Share on other sites

42 minutes ago, Synthesis said:

I ran into a strange issue that you might find interesting: this mod, specifically* causes kerbonauts to appear through ship/IVA geometry. So, if you send a kerbal on an EVA, and switch back to the ship's exterior or interior views, the floating Kerbal will be visible through not just windows, but any sort of geometry that might be in the way. Useful for tracking, but definitely a graphical glitch. 

*Specifically in the sense that it's probably the outcome of a conflict with another mod. That being said, I was removing likely culprits (roughly a third of my mod folder at the time), and the issue only went away when removing tie "000_Click...." folder. That doesn't rule out another culprit, somewhere, but I wasn't able to figure out what. But I didn't see anyone else in the thread encounter the same issue, so I'm inclined to think it's on my end. 

Interesting, I actually saw this myself one time.  I have no idea why, but I'll look into it.

What version of KSP were you using?

Edited by linuxgurugamer
Link to comment
Share on other sites

1 hour ago, linuxgurugamer said:

Interesting, I actually saw this myself one time.  I have no idea why, but I'll look into it.

What version of KSP were you using?

1.7.3, with all the DLC. I installed Click Through Blocker, naturally, on recommendation of another mod...which embarrassingly, I don't remember exactly which one. I initially thought it was an IVA mod problem, but seeing the same effect outdoors (and across saves and careers) cleared that up. 

Link to comment
Share on other sites

6 hours ago, Synthesis said:

I ran into a strange issue that you might find interesting: this mod, specifically* causes kerbonauts to appear through ship/IVA geometry. So, if you send a kerbal on an EVA, and switch back to the ship's exterior or interior views, the floating Kerbal will be visible through not just windows, but any sort of geometry that might be in the way. Useful for tracking, but definitely a graphical glitch. 

*Specifically in the sense that it's probably the outcome of a conflict with another mod. That being said, I was removing likely culprits (roughly a third of my mod folder at the time), and the issue only went away when removing tie "000_Click...." folder. That doesn't rule out another culprit, somewhere, but I wasn't able to figure out what. But I didn't see anyone else in the thread encounter the same issue, so I'm inclined to think it's on my end. 

 

6 hours ago, linuxgurugamer said:

Interesting, I actually saw this myself one time.  I have no idea why, but I'll look into it.

What version of KSP were you using?

I saw this myself recently when attempting to fly a helicopter with an external seat. I was able to see the kerbals through the parts behind them - I assumed it was intended behaviour until I saw this. Running 1.7.3 and I can post a mod list later - although it's quite extensive :/ 

Edited by madindehead
Link to comment
Share on other sites

So, I tried reinstalling from CKAN just to rule that out--unfortunately, while the problem didn't appear initially, switching between EVA and IVA views seemed to trigger it. So a one-man ship with a single Kerbal sitting outside of it didn't cause an issue, but a three-man ship with a Kerbal hanging on  the ladder did...once I switched to an IVA view. So something about the shifting views is presumably triggering it. 

If it's a conflict, I would assume it's a graphical mod responsible. I'm using the Spectra Visual Compilation, with quite a few parts, but I don't see anything in the thread about this issue (or Click Through). I guess I'll fool around with the individual parts and see if one if the culprit. 

Link to comment
Share on other sites

Might be easier to start with a clean install, and add mods 1 at a time.

If you do, try it with only the clickthroughblocker installed, this will add how if there us any effect if it isn't used.  Then, assuming no problem, add one of my mods which requires it, make sure you open that mod's window sz and then test 

Link to comment
Share on other sites

On 8/14/2019 at 8:38 AM, linuxgurugamer said:

Might be easier to start with a clean install, and add mods 1 at a time.

If you do, try it with only the clickthroughblocker installed, this will add how if there us any effect if it isn't used.  Then, assuming no problem, add one of my mods which requires it, make sure you open that mod's window sz and then test 

Maybe. I completely removed Spectra, so I can rule that out as culprit. Probably more sane to remove them five or so at a time in my case.

Some further observations: Let's say I have a Mk1-3 cockpit with Pilot, Scientist, and Engineer. If Pilot EVAs, his model is correctly rendered (and the outline will be visible through the ship, but not his whole model). If you switch to Scientist, both normal and inside views, Pilot is now bugged with the issue. If you switch back to Pilot, the issue goes away. So there's some consistency here. 

 

Link to comment
Share on other sites

Well, I know I've said it before, but I found the culprit--and unfortunately, it's one of yours. Sort of. Docking Camera Kurs. At least for me, Docking Camera Kurs + Click Through Blocker causes kerbalnaut rendering issues. At least, I'm surprised...aside from the fact that Click Through Blocker is a requirement for Docking Camera Kurs, I would've guessed it was Distant Object rendering, Easy Vehicle Switching, or any number of other things. At the very least, it is a graphical mod and not a part mod. That was about an hour and a half well-spent. 

It's late, but I do want to check if maybe installing different versions of DCK has any effect. 

Link to comment
Share on other sites

I'm aware of, and have experienced this problem.  Unfortunately, it's not a single set of mods, although you give me hope that I can create a test install to replicate it.

Unfortunately, in a test install with only these mods, it works fine (at least on the runway).

Also, ClickThroughBlocker is not (yet) a requirement for KURS (1.3.6.1)

Edited by linuxgurugamer
Link to comment
Share on other sites

  • 1 month later...

KSP 1.8

Possible clarification required in your CKAN data.  My CKAN is limited to 1.8 compatibility only and displays this mod as compatible.  However, under the Versions tab, it's the 0.1.6.10 version of CTB that's flagged as KSP 1.5.1 and later, whereas CTB 0.1.7.2 (the latest) is KSP 1.5.1 - 1.7.3.

This is misleading and might result in a pile of complaints from users, who not checking the Versions tab, may think you have done your usual great job in updating your mod stable (I had another, Arabic, word in mind but I thought it could be considered offensive. (I mean the word, not the fact that it's Arabic - that would be offensive:sealed:), (dang, there you go, I've offended someone!:blush:))).:P

Then again, it might not be a problem if the mod is already 1.8 compatible.

 

Link to comment
Share on other sites

On 10/17/2019 at 12:47 AM, Brigadier said:

KSP 1.8

Possible clarification required in your CKAN data.  My CKAN is limited to 1.8 compatibility only and displays this mod as compatible.  However, under the Versions tab, it's the 0.1.6.10 version of CTB that's flagged as KSP 1.5.1 and later, whereas CTB 0.1.7.2 (the latest) is KSP 1.5.1 - 1.7.3.

This is misleading and might result in a pile of complaints from users, who not checking the Versions tab, may think you have done your usual great job in updating your mod stable (I had another, Arabic, word in mind but I thought it could be considered offensive. (I mean the word, not the fact that it's Arabic - that would be offensive:sealed:), (dang, there you go, I've offended someone!:blush:))).:P

Then again, it might not be a problem if the mod is already 1.8 compatible.

 

This is being between a rock and a hard place.  If I set them to only be a certain range, then every time there is an update I have to do all of them.  What I'm doing is setting a minimum KSP version, which at least keeps the mod from being installed on older versions.  This usually works well, except in the case where the entire engine was changed, requiring all of them to be updated

Link to comment
Share on other sites

2 hours ago, linuxgurugamer said:

This is being between a rock and a hard place.  If I set them to only be a certain range, then every time there is an update I have to do all of them.  What I'm doing is setting a minimum KSP version, which at least keeps the mod from being installed on older versions.  This usually works well, except in the case where the entire engine was changed, requiring all of them to be updated

Yeah, I get that.  There are several versions since that one that were upper limited so, for me, it was a case of inconsistency and the fact that it showed as KSP 1.8 compatible.  The later was more of a concern for less experienced CKAN users.

Thanks for all the work you are putting in to the update.

Link to comment
Share on other sites

  • 3 weeks later...

Hello there! I Have a problem after KSP 1.8 upgrade: can't control vessel (by asdwqe keys), work anything else - staging, throttle, etc.

I found control work again, if I moving out from Gamedata folder 000_ClickThroughBlocker (and 000_Toolbar 001_ToolbarControl, else game will not load, hangup on Restock+ loading, but moving Toolbar alone and leaving ClickThroughBlocker in place leads still to no vessel control, I checked), so it is looks like a some misfunction in ClickThroughBlocker, probably in conjunction with some other mod.

Here is my ckan modlist: https://dropmefiles.com/8asOj

Link to comment
Share on other sites

11 minutes ago, Gordon Dry said:

@Brigadier look at his posted CKAN modlist yourself - it's set to KSP 1.6 compatible mods. Or am I wrong?

Some mods was installed in time KSP 1.6 and I use them despite there is no new versions just because they just still work. I understand CTB mod may suffer compatibility issues within old unsupported mods, but my mods successfully work together up to KSP 1.8 upgrade. So I'm not sure what is a reason of my trouble.

Link to comment
Share on other sites

50 minutes ago, Gordon Dry said:

@Brigadier look at his posted CKAN modlist yourself - it's set to KSP 1.6 compatible mods. Or am I wrong?

Yeah, that was my first thought, so I went to my new KSP 1.8.1 save in CKAN (compatibility setting is for 1.8 only) and exported the mod file.  I see

Spoiler

{
    "kind": "metapackage",
    "abstract": "A list of modules installed on the KSP 1.8.1 KSP instance",
    "name": "installed-KSP 1.8.1",
    "license": "unknown",
    "version": "2019.11.10.04.31.00",
    "identifier": "installed-KSP 1.8.1",
    "spec_version": "v1.6",
    "recommends": [

so I don't think spec_version is as meaningful as you think it is.

Edited by Brigadier
Added compatibility setting comment.
Link to comment
Share on other sites

This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...